Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Fetch prompt

Fetch a prompt by name

GET/v1/projects/{projectId}/prompts/{name}
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
namestringrequired
Query parameters
commit_idstring
tagstring
Responses
200

Response for status 200

commitPromptCommitInfo | nullrequired
Show properties
Any of:
PromptCommitInfo
namestringrequired
promptstringrequired
tagsstring[]required
commit_idstringrequired
parent_commit_idstring | nullrequired
Show properties
Any of:
string
string
null
null
created_atstringrequired
first_namestringrequired
last_namestringrequired
user_emailstringrequired
null
null
400

Response for status 400

errorstringrequired
messagestring
codestring
detailsstring[]
404

Response for status 404

errorstringrequired
messagestring
codestring
detailsstring[]
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/prompts/YOUR_NAME' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "commit": {
    "name": "string",
    "prompt": "string",
    "tags": [
      "string"
    ],
    "commit_id": "string",
    "parent_commit_id": "string",
    "created_at": "string",
    "first_name": "string",
    "last_name": "string",
    "user_email": "string"
  }
}

Was this page helpful?